DTEDNameTranslator (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.dataAccess.dted
Interface DTEDNameTranslator

All Known Implementing Classes:
  StandardDTEDNameTranslator

    public interface DTEDNameTranslator

An interface that defines a object that knows how to define the name of a DTED file from a set of coordinates and dted level, and also knows how to translate the name of a DTED file to it's coverage coordinates and level. Keeps track of the file name, the sub-directory path from the top level dted directory to the file, and the location of the dted directory if it is specified. It's intended that a single DTEDNameTranslator be used for a single DTED directory containing a set of directories and files. For objects that want to manage a set of DTED directories, a set of DTEDNameTranslators are needed. This is required to allow the translator the ability to take a lat/lon and provide a String representation of what a file would be called if it were stored under the specified DTED directory. The translator makes no guarantees on whether the file actually exists.

Method Summary
`java.lang.String` | `getDTEDDir()` Get the path to the top-level DTED directory.
`java.lang.String` | `getFileName()` Get the file name.
`double` | `getLat()` Get the latitude.
`int` | `getLevel()` Get the DTED level set in the translator.
`double` | `getLon()` Get the longitude.
`java.lang.String` | `getName()` Get the complete path to the DTED frame file based on the current internal settings.
`java.lang.String` | `getSubDirs()` Get the relative part of the path to the DTED frame file, from just under the top-level dted directory to just above the frame file.
`void` | `set(double lat, double lon, int level)` Assuming that the DTED directory is set, set the other parameters to reveal a path to a file name, which would be retrieved by calling getName().
`void` | `set(java.lang.String filePath)` Set the internal parameters based on the given file path.
`void` | `set(java.lang.String dtedDir, double lat, double lon, int level)` Sets the internal parameters given a parent DTED directory, latitude, longitude and level.
`void` | `setDTEDDir(java.lang.String dtedDirectory)` Set the top-level DTED directory.
`void` | `setLat(double lat)` Set the latitude in the translator.
`void` | `setLevel(int level)` Set the DTED level in the translator.
`void` | `setLon(double lon)` Set the longitude in the translator.
`void` | `setName(java.lang.String fileName)` Configure the internal settings based on a path to a DTED frame file.

Method Detail

### set

    void set(java.lang.String filePath)
             throws FormatException

  Set the internal parameters based on the given file path.

  Parameters:
    `filePath` - a path to a dted frame file.
  Throws:
    `FormatException`

### set

    void set(java.lang.String dtedDir,
             double lat,
             double lon,
             int level)

  Sets the internal parameters given a parent DTED directory, latitude, longitude and level. getName can be called to fetch a file name for these parameters.

  Parameters:
    `dtedDir` - the path to the top DTED directory.
    `lat` - the desired latitude, in decimal degrees.
    `lon` - the desired longitude, in decimal degrees.
    `level` - the DTED level (0, 1, 2).

### set

    void set(double lat,
             double lon,
             int level)

  Assuming that the DTED directory is set, set the other parameters to reveal a path to a file name, which would be retrieved by calling getName().

  Parameters:
    `lat` - the desired latitude, in decimal degrees.
    `lon` - the desired longitude, in decimal degrees.
    `level` - the DTED level (0, 1, 2).

### setLat

    void setLat(double lat)

  Set the latitude in the translator.

  Parameters:
    `lat` - the desired latitude, in decimal degrees.

### getLat

    double getLat()

  Get the latitude.

### setLon

    void setLon(double lon)

  Set the longitude in the translator.

  Parameters:
    `lon` - the desired longitude, in decimal degrees.

### getLon

    double getLon()

  Get the longitude.

### setLevel

    void setLevel(int level)

  Set the DTED level in the translator.

  Parameters:
    `level` - the DTED level (0, 1, 2).

### getLevel

    int getLevel()

  Get the DTED level set in the translator.

### getName

    java.lang.String getName()

  Get the complete path to the DTED frame file based on the current internal settings.

### setName

    void setName(java.lang.String fileName)
                 throws FormatException

  Configure the internal settings based on a path to a DTED frame file.

  Throws:
    `FormatException`

### getSubDirs

    java.lang.String getSubDirs()

  Get the relative part of the path to the DTED frame file, from just under the top-level dted directory to just above the frame file.

### getFileName

    java.lang.String getFileName()

  Get the file name.

### setDTEDDir

    void setDTEDDir(java.lang.String dtedDirectory)

  Set the top-level DTED directory.

### getDTEDDir

    java.lang.String getDTEDDir()

  Get the path to the top-level DTED directory.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details